package X2Go::Telekinesis::Server::ServerCore;
use strict;
use warnings;
use X2Go::Telekinesis::CoreSupport qw(premZealot getCmdFlags tcDie sanitizeDirPath sanitizeFilePath sanitizer checkPID genRandSID genRandToken clups);;   
use Exporter qw(import);
     
our @EXPORT_OK = qw(doPrepForNewSESSION cleanUpOldSession);






sub doPrepForNewSESSION {
  print "prepping....\n";
  my $X2GoTKHome = $_[0];
  my $X2GoSID = $_[1];
  my $PID = $$;
  my $time = time();
  # make shure its a valid "porable" unix username....
print "ZXZXZZX:$ENV{'USER'}\n\n";
  my $UserName = sanitizer("pnixusername",$ENV{'USER'});
  if ($UserName eq 0) {tcDie("Is \"$UserName\" a valid portable UNIX username?\nNah.... Didn't thing so....\nWe're done! BYE BYE!\n");}
  if (!-d "$X2GoTKHome")  {mkdir("$X2GoTKHome") or tcDie("$X2GoTKHome does not exist... We need someone create this for us!\nIf not we're don't feel that warm and fuzzy welcoming feeling!");}
  premZealot("$X2GoTKHome");
  if (!-d "$X2GoTKHome/local")  {mkdir("$X2GoTKHome/local") or tcDie("Can't create \"$X2GoTKHome/local\" dir!");}
  premZealot("$X2GoTKHome/local");
  if (!-d "$X2GoTKHome/remote")  {mkdir("$X2GoTKHome/remote") or tcDie("Can't create \"$X2GoTKHome/remote\" dir!");}
  premZealot("$X2GoTKHome/remote");
  if (!-d "$X2GoTKHome/apps")  {mkdir("$X2GoTKHome/apps") or tcDie("Can't create \"$X2GoTKHome/apps\" dir!");}
  premZealot("$X2GoTKHome/apps");
  open(LOCK,">$X2GoTKHome/lock");print LOCK "$PID\n$time\n";close(LOCK);



print "DONE prepping...\n";
}



sub cleanUpOldSession {
  my $X2GoTKHome = $_[0];
#  my $X2GoSID = $_[1];
  print "Cleaning up $X2GoTKHome...\n";
  if (-f "$X2GoTKHome/lock") {unlink("$X2GoTKHome/lock");}
  if (-d "$X2GoTKHome/local") {rmdir("$X2GoTKHome/local");} 
  if (-d "$X2GoTKHome/remote") {rmdir("$X2GoTKHome/remote");} 
#  cleanDirRemover("$TKLCSESDIR/$X2GoSID");
#  cleanDirRemover("$SSHFS/sessions/$X2GoSID");
  print "DONE!\n";
}

1;



